# $Revision: 1.14 $, $Date: 2005/11/18 03:13:09 $
Summary:	Compute MD5 message digests on an arbitrary number of files
Summary(pl):	Obliczanie skrtw MD5 dla dowolnej liczby plikw
Name:		md5deep
Version:	1.9.2
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/md5deep/%{name}-%{version}.tar.gz
# Source0-md5:	ba6777c7398e1467d51c71c2035abdba
Patch0:		%{name}-Makefile.patch
URL:		http://md5deep.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
md5deep is a cross-platform program to compute MD5 message digests on
an arbitrary number of files. The program is known to run on Windows,
Linux, FreeBSD, OS X, Solaris, and should run on most other platforms.
md5deep is similar to the md5sum program found in the GNU Coreutils
package, but has the following additional features:
- Recursive operation - md5deep is able to recursive examine an entire
  directory tree. That is, compute the MD5 for every file in a directory
  and for every file in every subdirectory.
- Time estimation - md5deep can produce a time estimate when it's
  processing very large files.
- Comparison mode - md5deep can accept a list of known hashes and
  compare them to a set of input files. The program can display either
  those input files that match the list of known hashes or those that do
  not match.

%description -l pl
md5deep to wieloplatformowy program do obliczania skrtw MD5 dla
dowolnej liczby plikw. Program dziaa pod Windows, Linuksem, FreeBSD,
OS X, Solarisem i powinien dziaa na wikszoci innych platform.
md5deep jest podobny do programu md5sum z pakietu GNU Coreutils, ale
ma nastpujce dodatkowe moliwoci:
- praca rekurencyjna - md5deep moe rekurencyjnie sprawdza cae
  drzewo katalogw, obliczajc MD5 dla kadego pliku w katalogu oraz dla
  kadego pliku we wszystkich jego podkatalogach;
- szacowanie czasu - md5deep moe pokazywa oszacowania czasu trwania
  operacji przy przetwarzaniu bardzo duych plikw;
- tryb porwnywania - md5deep moe dosta list znanych skrtw i
  porwnywa je ze zbiorem plikw wejciowych; program moe wypisa te
  pliki, ktre pasuj do listy znanych skrtw lub te, ktre nie pasuj.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	OURCC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: md5deep.spec,v $
Revision 1.14  2005/11/18 03:13:09  pluto
- updated to 1.9.2.

Revision 1.13  2005/11/11 23:46:10  megabajt
- updated to 1.9.1

Revision 1.12  2005/09/22 10:24:11  pluto
- install simplified (tigerdeep is packaged now), adapterized.
- release 2.

Revision 1.11  2005/09/13 06:24:43  pluto
- updated to 1.8.

Revision 1.10  2005/06/13 13:27:13  megabajt
- up to 1.7

Revision 1.9  2005/05/16 19:24:59  darekr
- updated to 1.6

Revision 1.8  2005/02/21 08:28:44  megabajt
- updated to 1.5

Revision 1.7  2004/08/29 12:55:21  twittner
- rel. 1 (works for me).
- missing msg. part previous commit:
  - added -Makefile.patch: fixed meaning of CC and CFLAGS in Makefile - it
    allows to pass CC/CFLAGS in usual way.

Revision 1.6  2004/08/28 21:39:45  twittner
- up to 1.4 , rel. 0.1

Revision 1.5  2003/08/18 08:08:20  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.4  2003/08/13 23:10:34  ankry
- pl description fixes

Revision 1.3  2003/08/13 11:33:26  qboosh
- pass opt and largefile flags

Revision 1.2  2003/08/12 17:41:40  qboosh
- pl

Revision 1.1  2003/08/07 10:09:29  areq
- init PLD spec
